Page MenuHomePhabricator

config: add an experimental option to list all known config
ClosedPublic

Authored by marmoute on Apr 9 2021, 2:06 PM.

Details

Summary

That option is not ready for prime-time, hence the exp- prefix. However, this
is a good base to start going toward completion. This is also quite useful for
developer on its own for now.

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

marmoute created this revision.Apr 9 2021, 2:06 PM
mharbison72 added inline comments.
mercurial/ui.py
969–970

It might be better to keep these in the same order as they were initialized above. The reordering threw me at first.

984–986

This doesn't seem skipped (or at least not the way the one above is)

baymax updated this revision to Diff 27156.Apr 23 2021, 9:00 AM

✅ refresh by Heptapod after a successful CI run (🐙 💚)

baymax updated this revision to Diff 27446.May 3 2021, 4:54 PM

✅ refresh by Heptapod after a successful CI run (🐙 💚)

pulkit accepted this revision.May 6 2021, 3:07 PM
This revision is now accepted and ready to land.May 6 2021, 3:07 PM

Needs rebase.

baymax updated this revision to Diff 28586.Jun 16 2021, 6:43 PM

✅ refresh by Heptapod after a successful CI run (🐙 💚)

pulkit accepted this revision.Jun 17 2021, 6:20 AM